> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List decision categories



## OpenAPI

````yaml get /v1/decision-categories
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/decision-categories:
    get:
      tags:
        - decision-categories
      summary: List decision categories
      operationId: TenantCategoryController_getCategories_v1
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: tenantId
          required: true
          in: query
          description: Tenant ID
          schema:
            example: 0fe3c901-80e6-4f7a-82fa-72acae0423ec
            type: string
        - name: sectionIds
          required: false
          in: query
          description: Section IDs (comma separated)
          schema:
            example: >-
              27571887-c866-4f36-91c7-d627c5bac976,
              3aeb645a-633b-4173-907d-e9d0c476cff4
            type: string
        - name: categoryIds
          required: false
          in: query
          description: Category IDs (comma separated)
          schema:
            example: >-
              bfe270d7-0e03-4514-9b8f-28e5aa6b454c,
              d9baf89c-6253-405e-8eb6-d96d0ca441c7
            type: string
        - name: search
          required: false
          in: query
          description: Search
          schema:
            example: Finance
            type: string
        - name: sortBy
          required: false
          in: query
          description: Field to sort by
          schema:
            example: id
            type: string
        - name: sortOrder
          required: false
          in: query
          description: Sort order (asc/desc)
          schema:
            default: asc
            example: asc
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: Decision categories list retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedTenantCategoryResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    PaginatedTenantCategoryResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:20.892Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/TenantCategoryResponseDto'
      required:
        - statusCode
        - timestamp
        - message
    TenantCategoryResponseDto:
      type: object
      properties:
        id:
          type: string
          example: de65c726-e7c2-4414-a663-73481cce67bd
          description: Unique identifier
        tenantId:
          type: string
          example: 6fe602ae-4f92-41e4-83f4-1f187cb6307e
          description: Tenant ID
        sectionId:
          type: string
          example: e0ad86e3-662d-4423-8d04-fff24464c1a8
          description: Section ID
        categoryName:
          type: string
          example: Finance
          description: Category name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
        section:
          description: Section
          allOf:
            - $ref: '#/components/schemas/SectionsResponseDto'
        createdAt:
          format: date-time
          type: string
          example: '2024-01-15T12:00:00Z'
          description: Created at timestamp
      required:
        - id
        - tenantId
        - categoryName
        - isDeleted
        - section
        - createdAt
    SectionsResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 895f39c5-0896-48a5-bc8d-b8884b15eb42
          description: Unique identifier
        tenantId:
          type: string
          example: a647dc83-a274-40ba-aea1-e3117bda5137
          description: Tenant ID
        sectionName:
          type: string
          example: Finance Department
          description: Section name
        isDeleted:
          type: boolean
          example: false
          description: Is deleted flag
      required:
        - id
        - tenantId
        - sectionName
        - isDeleted
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````